;;;
;;; GetString.s
;;;
;;; created: <Thu Apr 22 09:27:45 1999>
;;; last modified: <Thu Apr 20 20:34:26 2000>
;;;
;;; Christian Fowelin <christian@fowelin.de>
;;;
;;; Released under the LGPL (file COPYING).
;;;

;;;
;;; Reads string from fd into buf, length n.
;;; In: GetString fd, buf, n
;;; Out: eax=Bytes read(on success); eax=-1(on error)
;;;


%include "system.h"

global _GetString

extern _errno

%define n eax+8
%define buf eax+4
%define fd eax+0

	section .text
	align 32
_GetString:
	sys_read dword [fd], dword [buf], dword [n]
	cmp eax,0
	jl .err
	ret

.err:
	mov [_errno],eax
	mov eax,-1
	ret


;;; Local Variables:
;;;  mode:asm
;;;  eval:(load-library "time-stamp")
;;;  eval:(make-local-variable 'write-file-hooks)
;;;  eval:(add-hook 'write-file-hooks 'time-stamp)
;;;  eval:(setq time-stamp-start "last modified:[ 	]+\\\\?[\"<]+")
;;;  eval:(setq time-stamp-format "%3a %3b %2d %02H:%02M:%02S %y")
;;; End: