;;;
;;; Strcpy.s
;;;
;;; created: <Tue Oct  5 17:44:53 1999>
;;; last modified: <Fri Oct 25 12:51:41 2002>
;;;
;;; Christian Fowelin <christian@fowelin.de>
;;;
;;; Released under the LGPL (file COPYING).
;;;

;;;
;;; Copy ASCIIZ from src to dest (including '\0')
;;; In: Strcpy src, dest, dummy (src [eax+0], dest [eax+4], dummy [eax+8])
;;; Out: eax=(src [eax+0], dest [eax+4], dummy [eax+8])
;;;

%include "system.h"
%include "string.h"

global _Strcpy

	section .text
	align 16
_Strcpy:
	push ebx

	mov ebx,eax
	Strlen dword [ebx+0]
	inc eax
	mov [ebx+8],eax
	xchg eax,ebx
	Strncpy eax

	pop ebx
	ret



;;; Local Variables:
;;;  mode:asm
;;;  eval:(load-library "time-stamp")
;;;  eval:(make-local-variable 'write-file-hooks)
;;;  eval:(add-hook 'write-file-hooks 'time-stamp)
;;;  eval:(setq time-stamp-start "last modified:[ 	]+\\\\?[\"<]+")
;;;  eval:(setq time-stamp-format "%3a %3b %2d %02H:%02M:%02S %y")
;;; End: